<div ng-controller="EnfundeEmpacadoraController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a>Reporte</a>
          </li>
          <li>
            <a>Enfunde Empacadora</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> REPORTE DE ENFUNDE POR EMPACADORA</h1>
            </div>
            <div class="tile-body p-1">
              
              <div class="row" ng-if="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div>

              <div class="row" ng-if="!isLoading">
                  <div class="col-md-4 mb-10">
                    <h5><strong>CANTIDAD : {{empacadoras.length}} EMPACADORAS</strong></h5>
                  </div>
                  <div class="col-md-4">

                  </div>
                  <div class="col-md-4 mb-10">
                    <button ng-if="!isDownload" class="btn btn-border btn-rounded-10 btn-greensea btn-block" ng-click="download()"><i class="fa fa-download"></i> exportar a excel</button>
                    <button ng-if="isDownload" class="btn btn-border btn-rounded-10 btn-greensea btn-block"><i class="fa fa-spinner fa-spin"></i> exportando a excel...</button>
                  </div>
                  <div class="col-md-12" ng-if="empacadoras.length > 0">
                    <small>
                      <div class="table-responsive">
                        <table class="table table-hover table-bordered">
                          <thead>
                            <tr>
                              <th>EMPACADORA</th>
                              <th class="text-center">N° PARCELAS</th>
                              <th class="text-center" ng-repeat="semana in semanas" style="background: {{semana.cinta_color}}">
                                <strong>{{semana.nombre}}</strong>
                              </th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr dir-paginate="empacadora in empacadoras |filter: buscar | itemsPerPage: 20" pagination-id="empacadora.id">
                              <td>{{empacadora.nombre | uppercase}}</td>
                              <td class="text-center">
                                  {{empacadora.cantidad_parcelas}}
                              </td>
                              <td class="text-center" ng-repeat="enfunde in empacadora.data">
                                <strong>{{enfunde.total_enfunde}}</strong> / {{enfunde.total_cosecha}}
                              </td>
                            </tr>
                            <tr>
                              <td style="background: #5DADE2;color: #FFF;"><strong>TOTALES</strong></td>
                              <td class="text-center" style="background: #5DADE2;color: #FFF;" ng-repeat="total in totales"><strong>{{total}}</strong></td>
                            </tr>
                            <tr>
                              <td style="background: #5DADE2;color: #FFF;"><strong>CAJAS (r=0.80)</strong></td>
                              <td class="text-center" style="background: #5DADE2;color: #FFF;"><strong>-</strong></td>
                              <td class="text-center" style="background: #5DADE2;color: #FFF;" ng-repeat="total in totales.slice(1,totales.length)"><strong>{{(total*0.80) | number : 2}}</strong></td>
                            </tr>
                            <tr>
                              <td style="background: #5DADE2;color: #FFF;"><strong>CONTENEDORES(cajas=1080)</strong></td>
                              <td class="text-center" style="background: #5DADE2;color: #FFF;"><strong>-</strong></td>
                              <td class="text-center" style="background: #5DADE2;color: #FFF;" ng-repeat="total in totales.slice(1,totales.length)"><strong>{{((total*0.80)/1080) | number : 2}}</strong></td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </small>
                    <div class="text-center">
                      <dir-pagination-controls pagination-id="empacadora.id"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-if="empacadoras.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center">no hay empacadoras registradas...</h5>
                    </p>
                  </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
</div>